Get project by id
GET
/projects/{id}
const url = 'https://app.buildworkpro.com/api/v1/projects/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildworkpro.com/api/v1/projects/1 \ --header 'Authorization: Bearer <token>'Returns a single project.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”
id
required
integer
Responses
Section titled “ Responses ”Project
Media type
application/json
object
data
required
object
id
required
integer
name
required
string
projectNumber
required
string
contactId
required
integer | null
bidId
required
integer | null
projectType
required
string | null
status
required
string
priority
required
string | null
contractValue
required
string | null
originalContractValue
required
string | null
description
required
string | null
siteAddress
required
string | null
siteCity
string | null
siteState
string | null
siteZipCode
string | null
architectName
string | null
architectProjectNumber
string | null
contractFor
string | null
assignedTo
required
integer | null
meta
required
object
request_id
Server-generated request identifier
string
pagination
object
cursor
required
Opaque cursor for the next page; null when no more results
string | null
has_more
required
Whether more pages are available after this one
boolean
count
required
Items in this page
integer
Example generated
{ "data": { "id": 1, "name": "example", "projectNumber": "example", "contactId": 1, "bidId": 1, "projectType": "example", "status": "example", "priority": "example", "startDate": "2026-04-15T12:00:00Z", "expectedEndDate": "2026-04-15T12:00:00Z", "actualEndDate": "2026-04-15T12:00:00Z", "contractValue": "example", "originalContractValue": "example", "description": "example", "siteAddress": "example", "siteCity": "example", "siteState": "example", "siteZipCode": "example", "architectName": "example", "architectProjectNumber": "example", "contractFor": "example", "assignedTo": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }, "meta": { "request_id": "example", "pagination": { "cursor": "example", "has_more": true, "count": 1 } }}Not found
Media type
application/problem+json
object
type
required
URL identifying the problem type
string
format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}